// ignore_for_file: non_constant_identifier_names

part of YFree;

/// YFree主配置
abstract class YConfig {
  static const DEBUG = kDebugMode;
  static var catchCrash = true;
  static var catchCrash_jkid = "";
  static var appName = "YFree-App";
  static var themeColor = Colors.black;
  static var IP = "";
  static var UPDATEIP = "";
  static var statubar = "";
  static var navBar = "";
  static var statubarTextTheme = SystemUiOverlayStyle.light;
  static var statusBarColor = Colors.transparent;
  static var navBarTitleColor = Colors.white;
  static var imagePlaceHolder = "";
  static var yPostCommomErrorCode = "-1001";
  static var onYPostCommonError = (YPage page, String? code, String? message, String jkid, Map? kv, Function(bool isSuccess, List<dynamic>? results, String code, String message) yAjaxCallback, Function(dynamic map)? onModel, bool showProgress, bool showErrorToast, bool cacheEnable) async {
    yShowBuilder(message ?? "response code is '$yPostCommomErrorCode' with null message", () => yFinishApplication(), null, false);
  };
  static var brString = "<<<《《《NNN_YBR_NNN》》》>>>";
  static var tabString = "<<<《《《TTT_YTab_TTT》》》>>>";
  static var unicodeString = "<<<《《《UUU_YUNICODE_UUU》》》>>>";
  static var timeOut = 30000;
  static var httpProxy = "";
  static var onHttpHeader = () => Future.value(<String, dynamic>{});
  static var onHttpParam = () => Future.value(<String, dynamic>{});
  static var onLocaleLoad = (Locale locale) => Future.value();
  static var localizationKey = "yLocalizations";
  static var localizations = <String, Map<Locale, String>>{};
}
